Page tree

Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.

Include Page
LIB:_VersionLIB:_Version
Table of Contents
stylenone

Overview 

Hosting providers often prefer to standardize their software and application environment, which includes the deployed version of cPanel & WHM. Usually, a specific release tier (such as STABLE, RELEASE, or CURRENT) ensures a consistent environment across many servers.

In some circumstances, providers prefer not to rely on cPanel, Inc.'s tiered release system to select the installed version of cPanel & WHM. Additionally, providers who require a specific version of cPanel & WHM need an assured method to deploy new installations of cPanel & WHM, even when we no longer offer that version as the current production release.

The purpose of Long-Term Support

cPanel, Inc. actively develops cPanel & WHM, and we release new builds frequently. Traditionally, more conservative system administrators choose to completely disable software updates in order to maintain control over their deployments of cPanel & WHM. The , L.L.C. releases new builds often, which may make it hard to keep your servers consistent. Disabling updates is a common way to work around this, or you can use our release tiers. However, our Long-Term Support (LTS) tier provides an alternative to disabling updates, and will help ensure that cPanel & WHM servers receive important updates and fixes.

To view the cPanel & WHM version on each release tier, visit our httpupdate.cpanel.net site.

Long-Term Support guidelines

Long-Term Support uses the following guidelinesmay be a better option for you in many cases.

Note
titleNote:

In cPanel & WHM version 62 and higher, the /etc/cpanel/TIERS.json file contains LTS settings.

We use these guidelines for LTS releases

  • Only one release each year qualifies for LTS. Other versions will only receive updates only if present in updates in the STABLE, RELEASE, or CURRENT tiers.

  • As of cPanel & WHM version 62, the /etc/cpanel/TIERS.json file contains a JSON file structure which indicates LTS.
  • Any cPanel & WHM version not present in that isn't the LTS version does not qualify for LTS.
  • The lifespan of a each release extends until through March 31st of the following year.

  • cPanel, IncL.L.C. may extend a version's LTS period at their our discretion.

    Note
    titleNote:

    Development releases of cPanel & WHM do not qualify for LTS. We do not consider don't use their publication dates when we to calculate an LTS version's lifespan.


  • Previous cPanel & WHM versions and new cPanel & WHM installations offer the LTS versions as upgradesNew and existing installations can upgrade to the LTS tier.
  • Over the lifespan of an LTS release, cPanel, IncL.L.C. will provide security and other critical updates.

    Note
    titleNote:

    We won't add new features to LTS releases will not receive new features unless cPanel, Inc. decides that they are critical to a release's viability, or to they're critical or ensure compatibility with later versions of cPanel & WHM.


Third-party applications

cPanel & WHM provides various third-party applications (for example, MySQL® and Roundcube).cPanel, Inc. will continue to provide critical and security-related updates to these . For the life of an LTS release, we provide critical updates for third-party applications when a customer installs them with an LTS version of cPanel & WHM. However, cPanel, Inc. may provide these fixes we may provide them as back-ported patches instead of as upgrades to the latest version of the application. 

EasyApache

cPanel, Inc. develops and updates EasyApache with a separate release schedule L.L.C. releases EasyApache separately from cPanel & WHM's release schedule.

cPanel, IncL.L.C. provides EasyApache updates for an LTS release until the LTS release reaches End of Life (EOL). If the currently-installed version of cPanel & WHM does not meet the requirements of LTS version doesn't meet a new EasyApache function or featurefeature or function's requirements, EasyApache will update. However, we can no longer 't guarantee or support its functionalitythat update

EasyApache 3 deprecation

cPanel & WHM no longer develops EasyApache 3 and only releases security updates for it. We will deprecate deprecated EasyApache 3 on December 31, 2018. After that date, we will We no longer update EasyApache 3. In cPanel & WHM version 78, we will remove support for EasyApache 3. 

We strongly recommend that you upgrade to EasyApache 4. For more information, read our EasyApache 4 documentation. 

PHP

EasyApache adheres to uses the php.net supported versions timeline

RPMs for unsupported versions of PHP will remain on the cPanel Inc. , L.L.C. mirrors and servers. However, but we will not provide any further updates.

Site Software (cPAddons)

cPAddons in cPanel's Site Software interface (Home >> Software >> Site Software) continue to receive updated applications get updates throughout the lifespan of an LTS release's lifetime.

WHM Plugins

Plugins in WHM's Manage Plugins interface (Home >> cPanel >> Manage Plugins) continue to receive updated applications  get updates throughout the lifespan of an LTS release's lifetime.

Schedule for Long-Term Support releases of cPanel & WHM

...